<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Scripts/5_mission/dayzexpansion/gui/modsmenu/modsmenudetailed.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d03/a02582_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">modsmenudetailed.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d03/a02582.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ModsMenuDetailed.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../df/dfc/a06813.html">   13</a></span>modded <span class="keyword">class </span><a class="code hl_class" href="../../df/dfc/a06813.html">ModsMenuDetailed</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../df/dfc/a06813.html#a38d6a36171b58663de0401d04988c487">   15</a></span>    ref <a class="code hl_class" href="../../d1/dba/a05033.html">MainMenu</a> <a class="code hl_variable" href="../../df/dfc/a06813.html#a38d6a36171b58663de0401d04988c487">m_MainMenu</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../df/dfc/a06813.html#a8f16039ae39cae935b57c86fde017bcd">   16</a></span>    ref ExpansionNewsfeed <a class="code hl_variable" href="../../df/dfc/a06813.html#a8f16039ae39cae935b57c86fde017bcd">m_ExpansionNewsfeed</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../df/dfc/a06813.html#aa455408d2c856cf368f57b5a71f8a065">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/dfc/a06813.html#aa455408d2c856cf368f57b5a71f8a065">OnMouseButtonUp</a>(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y, <span class="keywordtype">int</span> button)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        super.OnMouseButtonUp(w,x,y,button);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">if</span>( w == m_CloseButton )</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            <a class="code hl_variable" href="../../df/dfc/a06813.html#a38d6a36171b58663de0401d04988c487">m_MainMenu</a>.<a class="code hl_function" href="../../d1/dba/a05033.html#ac71e816ed8d3eaa32b9a5e8ec4151aaa">ShowNewsfeed</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../df/dfc/a06813.html#aa8361d504ece02672391a2e1df44638b">   30</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/dfc/a06813.html#aa8361d504ece02672391a2e1df44638b">SetMainMenu</a>(<a class="code hl_class" href="../../d1/dba/a05033.html">MainMenu</a> menu)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../df/dfc/a06813.html#a38d6a36171b58663de0401d04988c487">m_MainMenu</a> = menu;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>}</div>
<div class="ttc" id="aa05033_html"><div class="ttname"><a href="../../d1/dba/a05033.html">MainMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbe/a09003_source.html#l00013">mainmenu.c:14</a></div></div>
<div class="ttc" id="aa05033_html_ac71e816ed8d3eaa32b9a5e8ec4151aaa"><div class="ttname"><a href="../../d1/dba/a05033.html#ac71e816ed8d3eaa32b9a5e8ec4151aaa">MainMenu::ShowNewsfeed</a></div><div class="ttdeci">void ShowNewsfeed(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df3/a09006_source.html#l00439">mainmenu.c:439</a></div></div>
<div class="ttc" id="aa06813_html"><div class="ttname"><a href="../../df/dfc/a06813.html">ModsMenuDetailed</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d03/a02582_source.html#l00013">modsmenudetailed.c:14</a></div></div>
<div class="ttc" id="aa06813_html_a38d6a36171b58663de0401d04988c487"><div class="ttname"><a href="../../df/dfc/a06813.html#a38d6a36171b58663de0401d04988c487">ModsMenuDetailed::m_MainMenu</a></div><div class="ttdeci">ref MainMenu m_MainMenu</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d03/a02582_source.html#l00015">modsmenudetailed.c:15</a></div></div>
<div class="ttc" id="aa06813_html_a8f16039ae39cae935b57c86fde017bcd"><div class="ttname"><a href="../../df/dfc/a06813.html#a8f16039ae39cae935b57c86fde017bcd">ModsMenuDetailed::m_ExpansionNewsfeed</a></div><div class="ttdeci">ref ExpansionNewsfeed m_ExpansionNewsfeed</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d03/a02582_source.html#l00016">modsmenudetailed.c:16</a></div></div>
<div class="ttc" id="aa06813_html_aa455408d2c856cf368f57b5a71f8a065"><div class="ttname"><a href="../../df/dfc/a06813.html#aa455408d2c856cf368f57b5a71f8a065">ModsMenuDetailed::OnMouseButtonUp</a></div><div class="ttdeci">override bool OnMouseButtonUp(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d03/a02582_source.html#l00018">modsmenudetailed.c:18</a></div></div>
<div class="ttc" id="aa06813_html_aa8361d504ece02672391a2e1df44638b"><div class="ttname"><a href="../../df/dfc/a06813.html#aa8361d504ece02672391a2e1df44638b">ModsMenuDetailed::SetMainMenu</a></div><div class="ttdeci">void SetMainMenu(MainMenu menu)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d03/a02582_source.html#l00030">modsmenudetailed.c:30</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_5b6a53149ee7579c80529fd9998a2b4c.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_7771e0deaa939e0ec7392437d1db5abe.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_e6b874dcc79585be9ae58f69d312f454.html">dayzexpansion</a></li><li class="navelem"><a class="el" href="../../dir_78b620f48df13eefb9608a423ebd6872.html">gui</a></li><li class="navelem"><a class="el" href="../../dir_c920c1f37d0eec4ce557f10bf4565a4d.html">modsmenu</a></li><li class="navelem"><a class="el" href="../../d1/d03/a02582.html">modsmenudetailed.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
